Thanks for using NetAnts!

Overview

Although the Internet is growing rapidly, the user base is growing even faster. Since more and more users are using the Internet and software packages tend to become larger, we often encounter network congestion that left us with partially download files, which is useless digital garbage. This is a tremendous waste of time and money.

Fortunately, the creators of the Internet has provisioned this situation and proposed ways to save us from calamity -- RESUMING is introduced into the RFCs for both HTTP and FTP protocols.

Following the first generation of "Downloaders" like GetRight, emerged the second generation of Downloaders with multi-thread functionality to separate a single file into chunks and download simultaneously. NetAnts is the representative of second generation downloaders. Features of NetAnts are listed in the next section.

Features

NetAnts is a feature-rich program. It has the following main features and will have more added in future versions:

  • HTTP/FTP multi-thread downloading with resuming capability
  • HTTP/FTP authentication support
  • HTTP/FTP/SOCKS proxy support
  • Flexible batch job methods to download multiple files
  • Automatic categorization of downloaded files
  • Automation and scheduling functionalities
  • Superior browser integration
  • Automatic or manual traffic control
  • And more...

More Information:

New features highlighted

Revision History


What's new in this release

  • Import broken download
  • Update version check
  • Shell context menu integration
  • "Total time" and "Average BPS"
  • URL Bookmark
  • Letter can be used to generate URL series
  • More... (see HISTORY.TXT)

Back


Revision history

See HISTORY.TXT for detailed revision information.

Version 1.23 -- October 2000

Version 1.2 -- MAY 2000

  • Preliminary skin support
  • Built-in multi-language support
  • Ability to fix corrupted ZIP files
  • User can modify multiple job properties
  • Improved interface customization
  • Default PROXY for all jobs
  • New job priority -- suspend

Version 1.1 -- APR 2000

  • New logo (to avoid copyright problem)
  • Show/hide window elements
  • Export URL List
  • Popup notification on job completion
  • Start/stop individual ant when downloading
  • Auto scrolling log window
  • Job log re-designed
  • Select proxy from list on-the-fly
  • SOCKS4/SOCK5 proxy supported
  • HTTP/CONNECT proxy user authentication

Version 1.0 -- FEB 2000

  • New and improved user interface
  • Auto quit after all job is finished
  • Better support for FTP ASCII mode
  • Double click items in finished job list will launch downloaded file
  • Adjust local file name according to redirection information from the server
  • Adaptive drop basket
  • More masks for adding multiple links in add jobs dialog

Pre-1.0 BETAs

  • 1.0 Beta 2.75 (OCT 1999)
  • 1.0 Beta 2.70 (AUG 1999)
  • 1.0 Beta 2.67 (AUG 1999)
  • 1.0 Beta 2.65 (AUG 1999)
  • 1.0 Beta 2.60 (JUL 1999)
  • 1.0 Beta 2.55 (APR 1999)
  • 1.0 Beta 2.51 (FEB 1999)
  • 1.0 Beta 2.50 (FEB 1999)
  • 1.0 Beta 2.41 (OCT 1998)
  • 1.0 Beta 2.40 (SEP 1998)
  • 1.0 Beta 2.30 (AUG 1998)
  • 1.0 Beta 2.20 (AUG 1998)
  • 1.0 Beta 2.10 (JUL 1998)
  • 1.0 Beta 2.00 (JUL 1998)
  • 1.0 Beta 1.01 (JUN 1998)
  • 1.0 Beta 1.00 (JUN 1998) -- Initial release


Installation and Quick Start

Follow these steps to install and run NetAnts:

Step 1 - Downloading NetAnts

NetAnts is distributed through the Internet. You can download the latest version of NetAnts from the Official NetAnts Homepage www.netants.com, or from any shareware download site, such as www.pchome.net.

NetAnts installation package is a single executable file, for 1.1 English version, the file is named netants11.exe or in a WinZip package named netants11.zip which contains the above EXE file.

Step 2 - Installing NetAnts

Run the downloaded installation package, if it is a zip file, unzip it first, or run it from within WinZip (you can download WinZip here). Follow the installation wizard to go through the process. You will first see the Softwar License Agreement, accept it, then select installation location (accept the default location C:\Program Files\NetAnts is recommended). After the file copying process, you will be given options to create a shortcut for NetAnts on the Desktop, and view the README file.

When installation is finished, it is recommended that you restart your browser if it is running during the isntallation process. This is to ensure correct operation of the browser integration features of NetAnts.

The installation process should finish without any fuss. If you encounter any weird problem, you should check if your installation package is damaged and try to download it again. You can also check the FAQ or contact the author if your problem persists.

Step 3 - Running NetAnts

If you find a file to download while browsing the Web, just right click on the URL, and choose "Download by NetAnts" from the pop-up menu. NetAnts will be launched automatically, and an "Add Job" dialog box will appear. The download will start after you confirm all job settings and click the "OK" button. If NetAnts is already running while you are browsing the web, you have another way to download files -- by dragging the link to the URL drop basket.

Later in this help file, I will explain in more details how to use and control NetAnts, such as, show/hide the drop basket, capture URL clicks in browsers and other advanced browser integration features of NetAnts.


The user interface at a glance

NetAnts user interface has the following main parts (click here for screenshot):

Main Menu - The top-most part of the window is the Main Menu. Functions of menu items are explained here.

Toolbar - The Toolbar is under the Main Menu, it is a collection of most NetAnts functions. Toolbar buttons can be separated into 3 groups: job control functions, automation/scheduling functions, tool/option functions. All these buttons are explained here.

Virtual Folder - Left part of the window is a tree called "Virtual Folder". It is used for Job Management purpose.

Job Listing Panel - Upper-right part of the window is the Job Listing Panel. All jobs are listed here in different categories according to their status. You can switch between these categories through the Virtual Folder.

Job Details Panel - Lower-right part of the window is the Job Details Panel. Detailed information about a single job is listed here while the job entry is selected in the Job Listing Panel. Click here for more details.


 Click to close


 Menu commands

The main menu controls all functions of NetAnts. Here we will walk through all of the menu items and explain their usages. Note that self-explanatory commands, like "File/Exit" will be ommited.

File menu - Import List: Import URLs from a TXT file, each line of the file list a single URL to be downloaded. Add Batch: Generate URL series based on certain rules. Process Web Page: Parse a given local HTML file and pick out all embedded URLs to download. Import Broken Download: Import a broken download into NetAnts.

Edit menu - Add/Edit/ Delete: Let you control a single job in the Job List. Delete All Downloaded: Delete finished job entries from the Job List. Note that only job entries are deleted, files downloaded will NOT be deleted.

Download menu - Start/Stop: Start or stop selected job. Download Again: Download the selected file again, unconditionally. Check Update: Check if the file is updated or not. Download newer version if available. Schedule Download/Schedule Hang Up: Set schedules to download all pending jobs and hang up dial-up networking connections.

View menu - Under this category, you can show or hide different parts of NetAnts user interface or set the language you want to use.

Option menu - Options: Bring up the Options Dialog where you can configure NetAnts. Show Drop Basket: Show or hide the URL Drop Basket. Browser Integration: Capture clicks on certain types of URLs in the browser. Clipboard Monitor: Monitor the clipboard for certain types of URLs. Speed Limit Mode: Control the bandwidth that NetAnts can utilize to download files. See Traffic Control for details.

Tools menu - NetAnts Dialer: Launch the NetAnts Dialer for Dial-Up Networking. NetAnts Bookmark: Keep the frequently used download address in bookmark.

Help menu - Find help and contact information here.


Toolbar buttons

Import URLs from text file | Generate URL series
Snatch URLs from HTML file | Run the selected job
Stop selected job | Add new jobs
Edit selected job | Delete selected job
Bring up the NetAnts Dialer | Dial when necessary
Hangup after all job finished | Shutdown after all job finished
Scheduled download | Scheduled hang up
Traffic control | Show/hide drop basket
Setting options | Quit NetAnts


Customize NetAnts window

You can make NetAnt looks the way you want it. You can show or hide the following window elements: Toolbar, Status Bar, Histogram Bar, Virtual Folder and Panels in the Job Details Window.

Further more, position of Toolbar, Histogram Bar, columns in Job Listing Window and tabs in Job Details Window can be adjusted by using mouse and commands under the "View" menu.


Skinning your NetAnts

Since version 1.2, you can design various background images and color for your NetAnts. Please see samples included in the installation packages, which were installed under the "Skin" subdirectory of your NetAnts directory.

Creating your own skin is extremely easy: just copy an existing skin directory to a new directory and name it as you like, change the bitmap and skin.ini file as you with. The settings in skin.ini is self-explanatory.


Built-in Multi-Language Support

Since version 1.2, you can set the language you want to use in NetAnts by using the "View/Language" menu command.

All language files are put in the "Language" sub-directory of your NetAnts installation. The standard English version installation included 2 language files -- English and Simplified Chinese (GB2312). You can add your language by creating a new ini file, using existing ini file as a template.

If you created a new language file, don't forget to mail a copy to the author, so that it can be added into later versions. Thank you!


Setting options

There're 11 tabs on the Options dialog box. Here's a description of options on each tab.

Connection

On the Connection tab, you can set:

  • Error Handling: How many times to retry on network errors, and delay between retries.
  • Timeout: How many seconds to wait for server response before treat it as an connection problem.
  • Limit: Max number of running jobs
  • Bandwidth: Speed limit and adjustment values. See traffic regulation for details.

Job default

On the Job default tab, you can set:

  • Default Directory: Where to put downloaded files, if no matching category is defined.
  • Authentication: Default username and password for login (usually anonymous).
  • Miscellaneous: Set number of ants for a single job. And determine if a job is started immediately when added.

Automation

On the Automation tab, you can set:

  • Browser click capture: Capture clicks on certain type of URLs.
  • Clipboard monitor: Monitor clipboard for certain type of URLs
  • Virus scan: Automatically scan downloaded file using the virus scanner specified here.

Proxy

On the Proxy tab, you can define a list of proxies for selection while downloading files. By clicking the "Add" or "Edit" button, you will see a dialog box to define the proxy type, address, port, authentication (optional), and assign a name to the proxy that will appear in the proxy list drop down box on the "Add Job" dialog box.

NetAnts support many types of proxies. For more discussions on Proxy, click here.

Dial-Up

On the Dial-Up tab, you can set:

  • Dial-Up Networking: Choose the connection you used to connect your computer to the Internet. NetAnts Dialer is an interface to the Windows DUN facility. If you prefer, you can setup your connection in Windows Internet Options, that will be perfectly ok with NetAnts.

If you leave the username and password fields blank, NetAnts will fetch these from the last-used DUN entry of the operating system.

Schedule

On the Schedule tab, you can set:

  • Download schedule: Start download at the given time.
  • Hang up schedule: Hang up at the given time.

You can also enable/disable scheduling using the toolbar. But time can only be set here.

Save To

On the Save To tab, you can set:

  • Categorization: Categorize downloaded files based on their extension. If a file's extension can not match any categories defined here, it is put under the default directory (see Job default section above).

Security

On the Security tab, you can set:

  • URL based login: Set specific username and password based on URL patterns.

Visual

On the Visual tab, you can set:

  • Histogram colors: Colors used to draw histogram.
  • Histogram scale: Scale for histogram plot.
  • Start up mode: Start as normal window or tray icon.
  • Skin: Set background image or color.

Protocol

On the Protocol tab, you can set:

  • HTTP Protocol: Referrer and User-Agent. These settings are used by the web server. Do not change these if you don't know what it is.
  • FTP Protocol: PASV mode and ASCII mode. Please leave these settings as their default value, unless instructed by technical support or your network administrator. Hint: set/unset the PASV mode will affect your connctivity if you are behind a firewall.

Advanced

On the Advanced tab, you can set:

  • Start all jobs after running.
  • Always show add job dialog.
  • Stop if server doesn't support resume.
  • Use cookies from browser: Use login information found in your browser's cookies.
  • Auto save job: Flush data in memory to disk. It is recommended that this value be set as small as possible, to preserve downloaded data in case of system failure.
  • Get file date and time from server: Use date/time information from the server instead of local date/time.
  • Create .NFO file: The .NFO file is a log file that recorded information about the downloaded file.
  • Delete job from list after complete: Job entries will be deleted after complete. If you need to keep a download history, update or re-download the file, you should uncheck this option.
  • Winpopup message notification to: Send a popup notification when job is completed. Need the winpopup program to operate.
  • Show notification message: Popup a window to notify you on job completion. The popup is generated by NetAnts and do not need winpopup.
  • Use Sounds: Use sound notification on job add, job complete and in case of error.
  • Hang up after done downloading.
  • Exit after done downloading.
  • Shutdown after done downloading.

The last 3 automation features can be toggled on the toolbar.


Download a single file

There're 4 ways to download a single file using NetAnts:

  • Click the URL in your browser. You should enable click capture to use this feature.
  • Right click on the URL and choose Download by NetAnts.
  • Drag the URL and drop it on the Drop Basket. Tips on using the drop basket
  • Use the "Add Job" menu command or toolbar button directly from within NetAnts.

The "Add Job" dialog box will appear when you submit a new job to NetAnts. There are 4 tabs, General, Connection, Proxy and Protocol. On the General tab, you can set target URL, location and name for the downloaded file, etc. Options on the other 3 tabs are described in the Setting options section. But the settings are effective for this job only.

Before using proxies, you need to define them first in the options dialog box.

You can control working ants while downloading. Click here for details.


Using the drop basket

  • Use the toolbar button [image] to show/hide the basket.
  • Double click on the basket to show/hide the main window.
  • Right click on the basket to show popup menu.

Close


Import URL list

If you have a lot of files to download, and you have listed URLs of these files in a TEXT file, you may import these URLs from the list file.

After you click the "File/Import List..." menu or the toolbar button [image] and select the list file to import, an "Add Jobs" dialog will apear. You can select the type of file to download, and if you like, change the directory to save these files.

The list file should be pure TEXT file and and list a single URL per line.

Since version 1.1, you can also export URL list by selecting as many items as you want from the Job Listing Window, then choose "Export List..." from the right-click popup menu.


Generate URL series

Sometime, you many need to download many files with consecutive or serialized file names. For example:

http://www.foo.com/bar08a.htm
http://www.foo.com/bar09a.htm
http://www.foo.com/bar10a.htm
http://www.foo.com/bar11a.htm
http://www.foo.com/bar12a.htm

NetAnts provided a method to greatly simplify the task to enter this kind of URLs.

Bring up the "Add batch jobs" dialog box by click on toolbar button [image] or use the "File/Add Batch..." menu. There're two tabs, the first one is "Generate sequence". Take the above example, you will input in the first blank of the URL mask edit box: http://www.foo.com/bar, the second URL mask edit box: a.htm, the range from 8 to 12, and digit count 2.

Uppcase letter "A-Z" or lowcase letter "a-z" can aslo be used to generate URL series.

Note that the digit count is not the number of 0s to add, it is the total number of digits, with or without 0. Hence, if the digit count is less than required, 0s are prefixed, otherwise, no 0s are added.


Snatch URLs from a web page

Another way to import URL list is from a web page.

Import URLs from a local HTML file

Click on the toolbar button [image] or use the "File/Process Web Page..." menu, then select an HTML file on your computer, NetAnts will parse all URLs it find on the page and show an "Add jobs" dialog box for you to select the type of desired file.

NetAnts will prompt you for a base URL for all relative URLs it found on the page. This is similar to specify the < BASE HREF="..."> tag in HTML file.

Import URLs from an online URL

Simply download the URL which point to an HTML file. After the download is finished, NetAnts will automatically analyze it and list all links in the file on the "Links" tab of the job details window. Then, you can select from the list any links and add them as job or open them in your browser (right click in the window will show a pop up menu).

If the page is currently displayed in your browser, just right click on that page and select "Download All by NetAnts" to snatch all URLs.


Import broken download

Import a failed download from another program to be resumed by NetAnts. You must specify the location of the broken file on your local system, and the download URL where it should be resumed from.


Advanced browser integration

NetAnts works in good harmony with Internet Explorer 4 or later:

  • NetAnts is added to the "Tools" menu of IE.
  • If user select a range of text in IE and drop it on the basket, NetAnts will process URLs contained in that range of text.
  • NetAnts will capture clicks on URLs in browser based on file type (default types are EXE and ZIP). Optionally, brower can continue to process on URLs that the user choose not to process in the "Add Jobs" dialog box.

Hold down CTRL key while click on a URL to prevent process of the URL, hold down ALT key while click to force process of the URL even the type do not match the defined types.


Proxy and security issues

Using Proxy

NetAnts support the following types of proxies:

  • HTTP proxy using GET or CONNECT method (the CONNECT method is designed specifically for WinGate).
  • FTP proxy using various methods.
  • SOCKS4/SOCKS5 proxy.

Contact your network administrator for the right type of proxy to use.

Setting per-site username/password

Besides entering username and password manually in the "Add job" dialog box, NetAnts provided a way to automate the login process.

If you have some sites visit regularly that need user authentication. You can set up username and password based on their URL, or part of URL (called a mask). For example, you use johndoe and JoHn123 to login into Microsoft's sites, you can enter "microsoft.com", "johndoe" and "JoHn123" on the Security tab. Note that the password you entered is replaced with "*". So there's no risk of revealing your password.


Maximize download speed

Automatic and adaptive control of running ants according to current network status is quite hard. Currently, NetAnts uses an algorithm based on the ratio of the time it used to make a connection and to download certain amount of data. In future versions, the author will add more precise control on a per-ant basis, and improve the algorithm. If you have any good idea on this topic, please contact the author.

However, NetAnts also provided a way to manually start or stop individual ants while downloading. On the "Log" panel of the Job Details Window, just right-click on any enabled ant icons, a popup menu will let you start, stop or restart that ant.

This is very useful if an ant is not moving for a long time, and reconnect might help it to start working again; or if you think too many working ants cause congestion.


Traffic regulation

Since NetAnts is always hungry for bandwidth, it makes other network programs such as browsers hard to work when NetAnts is running. To prevent this, NetAnts introduced the concept of traffic regulation.

There're 3 modes of traffic regulation in NetAnts.

  • Unlimited: No traffic regulation. NetAnts can use as much bandwidth as it needs.
  • Manual: Bandwidth for NetAnts is controlled by the user by using a slidebar on the status bar (lower-right corner of the window).
  • Automatic: NetAnts monitors activity of outbound connections, and spare a certain amount of bandwidth to each new connction.

The total bandwidth and bandwidth to give to other connections are defined on the Connection tab of the options dialog.


Scheduled Downloading

NetAnts can download files at the time you specify. And if you are using dial-up networking, hang-up can also be scheduled. To use scheduled downloading and hang-up, first set desired time on the "Schedule" tab of the options dialog, then use "Download/Shedule Downlaod", "Download/Schedule Hang Up" menu commands or the toolbar buttons to turn on/off scheduling.

To prevent a job from being downloaded while a schedule is running, set the priority of that job to 0. Job with priority 0 can NOT be downloaded whether the task is started manually or scheduled. To download it, set the priority back to 1-5.


The virtual folder

The left part of NetAnts window is a tree structure called "Virtual Folder".

The Virtual Folder has two parts: Job Status and Download History. They will be discussed in the next 2 sections.


Job status

In NetAnts, job status is defined as following:

  • Normal: Inactive jobs.
  • Running: Running jobs.
  • Queue: Pending jobs. If the user instructed NetAnts to download many files, the ones that exceeds the "Max downloading jobs" value will put here. Whenever a file is downloaded, the topmost file listed here start downloading.
  • Error: Failed jobs. Most common errors are: 404 Forbidden, 403 File Not Found, File size unknown or Max errors reached.
  • Downloaded: Finished jobs are listed here.

If you need to view all jobs in a single list regardless of their status, click on the Root of the Virtual Folder tree.

Right click on a job entry in the job list window will bring up a handy pop up menu.

When you selected a job in the job list window, details about this job will be displayed in the job details window.


Download history

NetAnts can classify jobs by download date. Currently, there're 4 categories: Today, Yesterday, Last Week and A Week Ago.

By using the history, user can better manage the files they downloaded from the Internet.


Manage downloaded files

Currently, NetAnts can not be called a download manager. It lacks of many key features that a download manager must have.

However, it has got one good feature that may be very helpful. That is automatic categorization of downloaded files based on file extension.

This feature is set on the "Save To" tab of the options dialog. For example, you need to put all *.zip and *.rar files under c:\myfiles. You can add a category on the "Save To" tab: Category - "Archives", Suffixes - "ZIP RAR", Directory - "c:\myfile".

After the setup, all categorization is processed by NetAnts automatically. An alternative way is when you drop a URL on the basket, a pop up menu will appear to let you choose where to put that file.


Fix corrupted ZIP files

Occasionally, you may encounter corrupted files downloaded by NetAnts. If it is a ZIP file, don't worry, NetAnts can fix it for you.

Right click on the job entry of a corrupted ZIP file, choose "Fix corrupted ZIP" from the pop-up menu. NetAnts will check it against the CRC checksum included in the ZIP file, and mark bad blocks as unfinished. Then, you can re-start the job and download only the bad blocks to fix it.


Shell Integration

Execute shell command associated with downloaded file directly.

Right click on the job entry of a downloaded file, choose "Shell" submenu from the pop-up menu. Select any command as what you did with windows explorer before.


Download Bookmark

Save your frequently used download address into bookmark.

Right click on the job entry of a downloaded file, choose "Add to bookmark" from the pop-up menu. If you want to manage your download bookmark, choose "NetAnts bookmark" from main menu.


Standard compliance

NetAnts is based on the RESUME feature of the HTTP and FTP protocols. If you are interested in technical details, please read the RFCs:

  • RFC2616: Hypertext Transfer Protocol 1.1
  • RFC959: File Transfer Protocol

To find RFCs on the Internet, type in the RFC number in the search box of any major search engines.


APIs for 3rd party developers

NetAnts can be controlled via DDE or COM interface. Visual C++ and Visual Basic samples are available from the author's web site:

  • Addon sample code in Visual Basic
  • Addon sample code in Visual C++

For network administrators, NetAnts also provides an interface to protect their sites from being blocked by too many NetAnts connections.

To limit concurrent connections from a single user, add the following line:

NetAnts: MaxConnection=value

in the reply or welcome message of HTTP and FTP server. Where value is the number of concurrent connections allowed for a single user.


Tips & Tricks

Understanding MASKs in NetAnts

Masks in NetAnts is very flexible and handy. It is used in many functions such as automatic login based on URL mask and file name mask used when add multiple jobs. There're 2 types of masks in NetAnts: wildcard mask and regex (regular expression) mask.

In wildcard mask, you can use * to represent a string and ? to represent a single character. For example, if you need to do automatic logins when visit Microsoft's sites, the URL mask should be "*.microsoft.com/*". Please note that if you set the mask to "http://www.microsoft.com" it won't work when you login to "http://www.microsoft.com/topsecret/".

Regex mask uses common rules of regular expressions. Ask some UNIX gurus if you are not familiar with regular expressions.

Turn off splash screen and background

To turn off the splash screen on start-up, add a DWORD value "NoSplash" under the registry key HKEY_CURRENT_USER\Software\NetAnts\Layout, and set its value to 1.

To turn off the window background, add a DWORD value "NoWindowBK" under the registry key HKEY_CURRENT_USER\Software\NetAnts\Layout, and set its value to 1.

Since version 1.2, background image can be controlled by set skin under the "Visual" tab of the options dialog box.

Non-extension based categorization

The automatic categorization feature of NetAnts is based on file extension. Sometime, you may need to logically categorize downloaded files. For example, "Games" or "Utilities", files in either category may be in EXE or ZIP form.

Here's a work around: Define a category "Games" and leave the extension box empty. Now, every time you drag a URL to the basket, there will be an additional destination "Game" for you to drop that URL. Note that this only works with the drop basket, not click capture or clipboard monitor.

Easily jump to download directory

Just right click on a finished job entry and select "Explore" from the pop-up menu. You can also launch the file by selecting "Launch".

Modify multiple jobs simultaneously

Sometime, you may make some mistakes while adding new jobs, for example, set the wrong download directory, or forget to use the proxy, which is needed to access the sites. Since version 1.2, you may select multiple job entries, right-click on them, choose "Edit..." to modify common properties for all selected jobs.

Be sure that every job you need to modify is NOT running.


Q: An error message said "New COMCTRL32 Needed" When I start NetAnts.

A: You need a newer version of Microsoft COMCTRL32.DLL. Please download it here.

Q: Why there's only one ant working while I have already set Ants Number to 5?

A: If the server doesn't support resuming, only one ant can work.

Q: How do I report a bug of NetAnts?

A: If bugs were found, please write to support@netants.com. In the mail, please report:

  • URL of the file you try to download.
  • Which operating system you are using.
  • Information in the LOG window.
  • Version number of your NetAnts.
  • If it's an invalid page fault, content of the registers.
  • Description about the error -- is it reproduceable? How?

Q: Why can't I use more ants per job?

A: The optimal number of ants vary according to network and server conditions. Download speed will not increase unlimitedly while ants number increases. What's more, too many ants many cause network congestion and affect other users.

Q: I found errors listed in the "Error" column of the job listing window, does that mean the downloaded file is corrupted?

A: Errors listed there are network connection problems. Normally, downloaded files will not be affected.

Q: Every time a job reaches about 95% it will become very slow or even stopped, why?

A: Most time when downloading is nearly finished, there're only 1 or 2 ants working, and they may encounter congestions and timouts.

Q: Why NetAnts reported BAD URL when I enter address for new jobs?

A: Only fully qualified URLs can be used in NetAnts. Correct format is: protocol://site:port/dir/file.ext. Where protocol is ftp or http and port is usually omitted as most sites use default values. Note that you can not omit the filename part.

Q: While I'm downloading a file, NetAnts report "The actual size of downloading file is unknown", and refuses to work.

A: NetAnts must know size of the file to download. This error message means that no size information is given by the server. This flaw will be fixed in later versions of NetAnts.

Q: How can I tell if a site supports resuming or not?

A: A little icon will appear on every running job entry in the job listing window. If you see a half-red half-blue circle, this site supports resuming. If the circle is grayed, this site doesn't support resuming. If no icon is displayed, NetAnts can't decide whether the site support resuming or not.

Q: Why NetAnts keep bugging me with messages saying my computer will shutdown in 10 seconds?

A: Because you have choosed to auto shutdown after all jobs are finished. Please uncheck this option from the toolbar or main menu.

Q: I'd prefer to let NetAnts download pending files one by one.

A: Just set the value of "Max downloading jobs" to 1 on the Connection tab of the options dialog.

Q: The drop basket disappeared.

A: Use the toolbar or main menu to show/hide the basket.

Q: Why there's always a .NFO file with my downloaded files?

A: NFO file records details about the downloaded file. For example: URL, local file name, time downloaded and comments, etc. You can control whether to generate a NFO file for every job on the Advanced tab of the options dialog.

Q: What's the default user name and password NetAnts uses to login to FTP sites?

A: USERNAME - anonymous, PASSWORD - whoami@unknown.net

Q: My browser responses very slow while NetAnts is working.

A: Please use the traffic regulation function to control bandwidth that NetAnts can use to download files.

Q: My job entries are lost or corrupted.

A: In NetAnts directory, there're 3 files: netants_bk1.job, netants_bk2.job and netants_bk3.job, which are the backup copies of the netants database for the last 3 days. You can use these files to recover to the latest status.


Contact Information

NetAnts is currently distributed as ADWARE. However, the author thrives to present you with a high quality and state-of-the-art program in its category.

If you need help, found a bug, or have an idea for future versions, you could:

  • Visit NetAnts web site: www.netants.com
  • Write to the author: support@netants.com
  • Subscribe to NetAnts mailing list:

Please direct your bug report or suggestions for this help file to Xiangrong Fang via e-mail: xrfang@technologist.com

This help file is dedicated to my love -- Lydia